Bug 189320 - Select in Projects on editor tab context menu
Select in Projects on editor tab context menu
Status: RESOLVED FIXED
Product: projects
Classification: Unclassified
Component: Generic Projects UI
6.x
All All
: P2 (vote)
: 7.0
Assigned To: Jesse Glick
issues@projects
: API, API_REVIEW_FAST
Depends on: 190330
Blocks: 189312
  Show dependency treegraph
 
Reported: 2010-08-09 15:43 UTC by Ondrej Langr
Modified: 2010-09-16 15:41 UTC (History)
3 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
Proposed patch (26.74 KB, patch)
2010-08-09 17:27 UTC, Jesse Glick
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ondrej Langr 2010-08-09 15:43:35 UTC
Build output window links a file but there is no easy way to find where the file is

The output window links the file with errors but there is no easy way to locate the file in the project tree. 

"Find in Projets" action would do this, but even participants working with NetBeans on daily basis did not know about it.



Recommendation:

1) Include project name in Document tooltip (first place where participants often searched for this) - together with path present there now. 

2) Include the "Find in Projects" action on the document tab contextual menu.
Comment 1 Jesse Glick 2010-08-09 16:20:47 UTC
(In reply to comment #0)
> 1) Include project name in Document tooltip (first place where participants
> often searched for this) - together with path present there now. 

This is a rather general item, and there a lot of different ideas surrounding it; see bug #178094.

(BTW the owning project is already displayed in the main window's title bar.)

> 2) Include the "Find in Projects" action on the document tab contextual menu.

I guess you meant Select in Projects. Already in editor context menu but not tab menu.
Comment 2 Jesse Glick 2010-08-09 17:27:22 UTC
Created attachment 101276 [details]
Proposed patch
Comment 3 Jesse Glick 2010-08-09 17:27:51 UTC
Please review.
Comment 4 Vitezslav Stejskal 2010-08-11 13:31:40 UTC
Re. "// XXX might be nice to use MimeLookup for type-specific actions, but this seems to provide no way to only look in a subfolder"

This is possible in the same way as in eg. org.netbeans.modules.editor.impl.EditorActionsProvider (editor module). I know it's complicated, especially when ActionsList is not public API, but that's the way how MimeLookup was originally designed.

Otherwise, the patch looks ok to me. Thanks
Comment 5 Jesse Glick 2010-08-11 13:48:02 UTC
(In reply to comment #4)
> I know it's complicated, especially when ActionsList is not public API

Hmm, looks like a lot of work. Will omit for now; could be compatibly switched to use of MIME Lookup API later if needed, since Editors/TabActions/ would still be used for all MIME types, right?
Comment 6 Vitezslav Stejskal 2010-08-11 13:54:51 UTC
(In reply to comment #5)
> Hmm, looks like a lot of work. Will omit for now; could be compatibly switched
> to use of MIME Lookup API later if needed, since Editors/TabActions/ would
> still be used for all MIME types, right?

Yes.
Comment 7 Jesse Glick 2010-08-16 14:57:20 UTC
core-main #f7f2cedaf71e
Comment 8 Quality Engineering 2010-08-17 03:14:56 UTC
Integrated into 'main-golden', will be available in build *201008170001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/f7f2cedaf71e
User: Jesse Glick <jglick@netbeans.org>
Log: #189320: Select in Projects on editor tab context menu.
Requires API for adding actions to this area rather than reflection hacks.
Also rework UI of Select in... actions a bit: make top level action in editor pane, do not use submenu, show only ...Projects.
Comment 9 John Jullion-ceccarelli 2010-08-26 12:27:15 UTC
David and I saw a lot of ideas we could use when visiting the JDev team re: navigation among open files. Think we'll revisit in the next release.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo